name: nakama
config: null
shutdown_grace_sec: 0
data_dir: /nakama/data
auth:
  default_admin:
    username: "mohammad_5525"
    password: "T8P300wn4IG5Y62K7x8c"
logger:
  level: DEBUG
  stdout: true
  file: '/nakama/data/nakama.log'
  rotation: false
  max_size: 100
  max_age: 0
  max_backups: 0
  local_time: false
  compress: false
  format: json
metrics:
  reporting_freq_sec: 60
  namespace: ''
  prometheus_port: 0
  prefix: nakama
  custom_prefix: custom
session:
  encryption_key: T8P300wn4IG5Y62K7x8c
  token_expiry_sec: 60
  refresh_encryption_key: I9o5Gzi32880HxB52Z9X
  refresh_token_expiry_sec: 3600
  single_socket: false
  single_match: false
  single_party: false
  single_session: false
socket:
  server_key: 6NMu858og17x680UQR3l
  port: 7350
  address: ''
  protocol: tcp
  max_message_size_bytes: 4096
  max_request_size_bytes: 262144
  read_buffer_size_bytes: 4096
  write_buffer_size_bytes: 4096
  read_timeout_ms: 10000
  write_timeout_ms: 10000
  idle_timeout_ms: 60000
  write_wait_ms: 5000
  pong_wait_ms: 25000
  ping_period_ms: 15000
  ping_backoff_threshold: 20
  outgoing_queue_size: 64
  ssl_certificate: ''
  ssl_private_key: ''
  response_headers: null
database:
  address:
    - 'postgres://postgres:bWUz5384u06K54zG6B8L@localhost:5432/nakama'
  conn_max_lifetime_ms: 3600000
  max_open_conns: 100
  max_idle_conns: 100
  dns_scan_interval_sec: 60
social:
  steam:
    publisher_key: ''
    app_id: 0
  facebook_instant_game:
    app_secret: REDACTED
  facebook_limited_login:
    app_id: ''
  apple:
    bundle_id: ''
runtime:
  env: []
  path: /nakama/data/modules
  http_key: Pc74KR807Lk232WE88tJ
  min_count: 0
  lua_min_count: 16
  max_count: 0
  lua_max_count: 48
  js_min_count: 16
  js_max_count: 32
  call_stack_size: 0
  lua_call_stack_size: 128
  registry_size: 0
  lua_registry_size: 512
  event_queue_size: 65536
  event_queue_workers: 8
  read_only_globals: true
  lua_read_only_globals: true
  js_read_only_globals: true
  lua_api_stacktrace: false
  js_entrypoint: ''
  email:
    smtp:
      host: "smtp.gmail.com"  # جایگزین کنید با آدرس SMTP سرور شما
      port: 587                 # پورت مناسب برای سرور SMTP شما
      username: "infinitypubgsell@gmail.com" # نام کاربری SMTP شما
      password: "ugbjvazjwjhgjsnv" # رمز عبور SMTP شما
      from_address: "infinitypubgsell@gmail.com" # آدرس ایمیلی که از آن ایمیل‌ها ارسال می‌شوند
      from_name: "MADOG" # نام نمایشی برای فرستنده ایمیل
      secure: true            # اگر از TLS استفاده می‌کنید، این را به true تغییر دهید
      auth_method: "login"      # متد احراز هویت، معمولاً 'login' یا 'plain'

match:
  input_queue_size: 128
  call_queue_size: 128
  signal_queue_size: 10
  join_attempt_queue_size: 128
  deferred_queue_size: 128
  join_marker_deadline_ms: 15000
  max_empty_sec: 0
  label_update_interval_ms: 1000
tracker:
  event_queue_size: 1024
console:
  port: 7351
  address: ''
  max_message_size_bytes: 4194304
  read_timeout_ms: 10000
  write_timeout_ms: 60000
  idle_timeout_ms: 300000
  username: mohammad_5525
  password: T8P300wn4IG5Y62K7x8c
  token_expiry_sec: 86400
  signing_key: wEZFE80965jpy0392R6H
  mfa:
    storage_encryption_key: G626iA93arE69x22D9xzE079cfA880LA
    admin_account_enabled: false
leaderboard:
  blacklist_rank_cache: []
  callback_queue_size: 65536
  callback_queue_workers: 8
  rank_cache_workers: 1
matchmaker:
  max_tickets: 3
  interval_sec: 15
  max_intervals: 2
  rev_precision: false
  rev_threshold: 1
iap:
  apple:
    shared_password: REDACTED
    notifications_endpoint_id: ''
  google:
    client_email: 'nakama@gothic-airlock-379614.iam.gserviceaccount.com'
    private_key: 129ef38ce0c9096c67d36247d7375bf2318cb5d6
    notifications_endpoint_id: '103682340302348490730'
    refund_check_period_min: 0
    package_name: 'nakama'
  huawei:
    public_key: ''
    client_id: ''
    client_secret: REDACTED
  facebook_instant:
    app_secret: REDACTED
satori:
  url: ''
  api_key_name: ''
  api_key: ''
  signing_key: ''
storage:
  disable_index_only: false
mfa:
  storage_encryption_key: G626iA93arE69x22D9xzE079cfA880LA
  admin_account_enabled: false
